Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Resend_Worker Class Reference

Process an Ack message in the ACE_RMCast_Retransmission module. More...

`#include <RMCast_Resend_Worker.h>`

Inheritance diagram for ACE_RMCast_Resend_Worker:

[legend]
Collaboration diagram for ACE_RMCast_Resend_Worker:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_Resend_Worker (ACE_RMCast_Module *next, ACE_UINT32 max_sequence_number)
virtual int | work (ACE_UINT32 const &key, ACE_RMCast::Data const &item)
## Public Attributes
int | n
## Private Methods
| ACE_RMCast_Resend_Worker (const ACE_RMCast_Resend_Worker &)
ACE_RMCast_Resend_Worker & | operator= (const ACE_RMCast_Resend_Worker &)
## Private Attributes
ACE_RMCast_Module * | next_
ACE_UINT32 | max_sequence_number_

## Detailed Description

Process an Ack message in the ACE_RMCast_Retransmission module.

The retransmission module uses internal iterators, thus it needs to create helper Worker classes to process some messages.

## Constructor & Destructor Documentation

ACE_INLINE ACE_RMCast_Resend_Worker::ACE_RMCast_Resend_Worker | ( | ACE_RMCast_Module * | next,
|  | ACE_UINT32 | max_sequence_number
| ) |

ACE_RMCast_Resend_Worker::ACE_RMCast_Resend_Worker | ( | const ACE_RMCast_Resend_Worker & |  | ) | `[private]`

## Member Function Documentation

ACE_RMCast_Resend_Worker& ACE_RMCast_Resend_Worker::operator= | ( | const ACE_RMCast_Resend_Worker & |  | ) | `[private]`

int ACE_RMCast_Resend_Worker::work | ( | ACE_UINT32 const & | key,
|  | ACE_RMCast::Data const & | item
| ) | `[virtual]`

| Implements ACE_RMCast_Worker< ACE_UINT32, ACE_RMCast::Data >.

## Member Data Documentation

ACE_UINT32 ACE_RMCast_Resend_Worker::max_sequence_number_`[private]`

int ACE_RMCast_Resend_Worker::n

ACE_RMCast_Module* ACE_RMCast_Resend_Worker::next_`[private]`

The documentation for this class was generated from the following files:

- RMCast_Resend_Worker.h
- RMCast_Resend_Worker.cpp
- RMCast_Resend_Worker.i